wpa_supplicant writes to syslog every 2 minutes

Bug #1323089 reported by Mariano Draghi on 2014-05-25
This bug report is a duplicate of:  Bug #578431: wpa_supplicant spams syslog. Edit Remove
384
This bug affects 81 people
Affects Status Importance Assigned to Milestone
wpa (Ubuntu)
Undecided
Unassigned

Bug Description

Ubuntu 14.04 LTS
wpasupplicant 2.1-0ubuntu1

wpa_supplicant is writing to syslog every couple of minutes. Example output:

May 25 19:57:18 ubuntu wpa_supplicant[1161]: wlan0: CTRL-EVENT-SCAN-STARTED
May 25 19:57:23 ubuntu wpa_supplicant[1161]: nl80211: send_and_recv->nl_recvmsgs failed: -33
May 25 19:59:18 ubuntu wpa_supplicant[1161]: wlan0: CTRL-EVENT-SCAN-STARTED
May 25 19:59:23 ubuntu wpa_supplicant[1161]: nl80211: send_and_recv->nl_recvmsgs failed: -33
May 25 20:00:58 ubuntu wpa_supplicant[1161]: wlan0: CTRL-EVENT-SCAN-STARTED
May 25 20:01:18 ubuntu wpa_supplicant[1161]: wlan0: CTRL-EVENT-SCAN-STARTED
May 25 20:01:24 ubuntu wpa_supplicant[1161]: nl80211: send_and_recv->nl_recvmsgs failed: -33
May 25 20:03:18 ubuntu wpa_supplicant[1161]: wlan0: CTRL-EVENT-SCAN-STARTED
May 25 20:03:23 ubuntu wpa_supplicant[1161]: nl80211: send_and_recv->nl_recvmsgs failed: -33
May 25 20:05:18 ubuntu wpa_supplicant[1161]: wlan0: CTRL-EVENT-SCAN-STARTED
May 25 20:05:23 ubuntu wpa_supplicant[1161]: nl80211: send_and_recv->nl_recvmsgs failed: -33
May 25 20:05:58 ubuntu wpa_supplicant[1161]: wlan0: CTRL-EVENT-SCAN-STARTED
May 25 20:07:18 ubuntu wpa_supplicant[1161]: wlan0: CTRL-EVENT-SCAN-STARTED
May 25 20:07:23 ubuntu wpa_supplicant[1161]: nl80211: send_and_recv->nl_recvmsgs failed: -33
May 25 20:09:18 ubuntu wpa_supplicant[1161]: wlan0: CTRL-EVENT-SCAN-STARTED
May 25 20:09:23 ubuntu wpa_supplicant[1161]: nl80211: send_and_recv->nl_recvmsgs failed: -33
May 25 20:10:58 ubuntu wpa_supplicant[1161]: wlan0: CTRL-EVENT-SCAN-STARTED
May 25 20:13:18 ubuntu wpa_supplicant[1161]: message repeated 2 times: [ wlan0: CTRL-EVENT-SCAN-STARTED ]
May 25 20:13:23 ubuntu wpa_supplicant[1161]: nl80211: send_and_recv->nl_recvmsgs failed: -33

The message seems harmless as far as the network is concerned, meaning there is no problem with the wifi connection. But it's spamming the syslog, making it very difficult to find any other thing there, and it's generating constant writes to disk, and an unnecessarily large syslog file.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in wpasupplicant (Ubuntu):
status: New → Confirmed
Peter Lemieux (seijisensei) wrote :

I checked syslog just now after reading this discussion at Ubuntu Forums: http://ubuntuforums.org/showthread.php?t=2224450

I can confirm the behavior of wpa_supplicant.

affects: wpasupplicant (Ubuntu) → wpa (Ubuntu)
Anders Hall (a.hall) wrote :

Same output in my syslog.

May 29 23:24:31 boll wpa_supplicant[1590]: wlan0: CTRL-EVENT-SCAN-STARTED
May 29 23:24:36 boll wpa_supplicant[1590]: nl80211: send_and_recv->nl_recvmsgs failed: -33

Anders Hall (a.hall) wrote :

lspci says "Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)"

Mariano Draghi (chaghi) wrote :

Mine says "Network controller: Intel Corporation Centrino Advanced-N 6200 (rev 35)".

It's almost the same chipset; mine (6200) is 802.11a/g/n certified, whereas Anders' (6205) is 802.11a/b/g/n.

I can confirm these log events.

Network controller: Intel Corporation WiFi Link 5100

Ulf Rehmann (rehmann) wrote :

I see the same log events every few minutes:

Jun 9 19:05:51 ada wpa_supplicant[1043]: wlan0: CTRL-EVENT-SCAN-STARTED
Jun 9 19:05:57 ada wpa_supplicant[1043]: nl80211: send_and_recv->nl_recvmsgs failed: -33

My network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 3e)

seebers (seebers) wrote :

I can confirm these log events.

Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

In addition when I try to establish a VPN connection (no matter if OpenVPN or simple IPsec Tunnel) the tunnel will be established and after two minutes it breaks and no connection through the tunnel is possible.

Anders Hall (a.hall) wrote :

Some more affected people: http://askubuntu.com/questions/454427/network-issues-since-trusty

Their test seem to indicate changing encryption scheme affects the interval the message occurs.

I am also affected. Hardware is Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

Jon Fawbert (e-jon-q) wrote :

I have a Centrino 6205.
Lots of these

Jul 1 13:52:15 jon-HP2 wpa_supplicant[1590]: wlan0: CTRL-EVENT-SCAN-STARTED

that come with these:
Jul 1 13:52:15 jon-HP2 wpa_supplicant[1590]: nl80211: send_and_recv->nl_recvmsgs failed: -33

in my logs, some of these

 01/07/2014
10:01:39.000
Jul 1 10:01:39 jon-HP2 NetworkManager[984]: <info> (wlan0): deactivating device (reason 'supplicant-failed') [10]

also.

Same here.
Network controller: Intel Corporation Centrino Wireless-N 2230 (rev c4)

MFlyagin (mflyagin) wrote :

Same problem.
Network controller: Intel Corporation Centrino Wireless-N 130.

in my case also lost Internet, although a wireless connection is not broken. if I reconnect to an access point, the Internet appears. but not for long.

Lehel (gladia2r) wrote :

Same here, LinuxMint KDE 17
03:00.0 Network controller: Intel Corporation Centrino Wireless-N 1030 [Rainbow Peak] (rev 34)

Jul 13 23:58:17 dell wpa_supplicant[920]: wlan1: CTRL-EVENT-SCAN-STARTED
Jul 13 23:58:18 dell wpa_supplicant[920]: nl80211: send_and_recv->nl_recvmsgs failed: -33
Jul 14 00:00:17 dell wpa_supplicant[920]: wlan1: CTRL-EVENT-SCAN-STARTED
Jul 14 00:00:18 dell wpa_supplicant[920]: nl80211: send_and_recv->nl_recvmsgs failed: -33

Halgeir (halgeirr) wrote :

Same bug here on Kubuntu 14.04:

25:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

Jul 17 19:37:08 NUVS-18097301A wpa_supplicant[1085]: wlan0: CTRL-EVENT-SCAN-STARTED
Jul 17 19:37:23 NUVS-18097301A wpa_supplicant[1085]: nl80211: send_and_recv->nl_recvmsgs failed: -33
Jul 17 19:39:08 NUVS-18097301A wpa_supplicant[1085]: wlan0: CTRL-EVENT-SCAN-STARTED
Jul 17 19:39:23 NUVS-18097301A wpa_supplicant[1085]: nl80211: send_and_recv->nl_recvmsgs failed: -33
Jul 17 19:41:08 NUVS-18097301A wpa_supplicant[1085]: wlan0: CTRL-EVENT-SCAN-STARTED
Jul 17 19:49:08 NUVS-18097301A wpa_supplicant[1085]: message repeated 4 times: [ wlan0: CTRL-EVENT-SCAN-STARTED ]
Jul 17 19:49:23 NUVS-18097301A wpa_supplicant[1085]: nl80211: send_and_recv->nl_recvmsgs failed: -33
Jul 17 19:51:08 NUVS-18097301A wpa_supplicant[1085]: wlan0: CTRL-EVENT-SCAN-STARTED
Jul 17 19:51:23 NUVS-18097301A wpa_supplicant[1085]: nl80211: send_and_recv->nl_recvmsgs failed: -33
Jul 17 19:53:08 NUVS-18097301A wpa_supplicant[1085]: wlan0: CTRL-EVENT-SCAN-STARTED

The computer is a HP Elitebook 8570w

Anders Hall (a.hall) wrote :

Any idea how this error message can be muted?

Tim Eggleston (teggl) wrote :

Also affected on Xubuntu 14.04, laptop is a Thinkpad X220. I lose network connectivity for a few seconds up to a minute or more when the messages are logged.

Wireless chipset:
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

Kernel:
Tried with the standard 14.04 kernel (currently 3.13.0-24-generic) and the mainline packages for stable (3.15.7-031507-generic) and next (3.16.0-031600rc7-generic)

Log snippet:
Jul 31 15:21:43 whistler wpa_supplicant[1331]: wlan0: CTRL-EVENT-SCAN-STARTED
Jul 31 15:21:47 whistler wpa_supplicant[1331]: nl80211: send_and_recv->nl_recvmsgs failed: -33

william fischer (maxxjvx) wrote :

I noted the same in my syslog file:

Jul 31 21:48:13 UBLNX415DK wpa_supplicant[1331]: wlan0: CTRL-EVENT-SCAN-STARTED
Jul 31 21:48:18 UBLNX415DK wpa_supplicant[1331]: nl80211: send_and_recv->nl_recvmsgs failed: -33

Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)

Ubuntu 14.04.1 LTS

Linux 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

levik (levik666) wrote :

Hi,

I confirm that I have the same issue.
Has anyone have idea how resolve this issue?

Thanks, Levik

Tim Eggleston (teggl) wrote :

I don't know if this bug is the root cause of the internet dropouts I'm experiencing at the same time, but it's extremely frustrating. The same behaviour seems to have been reported by multiple people, so they are at least related. Is there any way we can escalate the severity of this bug?

levik (levik666) wrote :

This issue related by connectivity to vpn using pptp.
I have found this issue about some days ago.
In my opinion, it is started when I agreed with some of ubuntu updates.

Bulent Besim (bbesim) wrote :

This is also showing up with the dev branch 14.10(utopic unicorn):

Aug 12 09:45:32 utopic wpa_supplicant[1704]: wlan0: CTRL-EVENT-SCAN-STARTED
Aug 12 09:43:38 utopic wpa_supplicant[1704]: nl80211: send_and_recv->nl_recvmsgs failed: -33

$ lspci | grep Network
02:00.0 Network controller: Intel Corporation Centrino Advanced-N 6230 [Rainbow Peak] (rev 34)

WinEunuchs2Unix (ricklee518) wrote :

It doesn't happen with Intel 3495 abg (wlan0) when 802.11n is turned off but will happen if 802.11n is active for other wifi adapters. It happens with RTL2800 bgn (wlan1), BCM43526 ac+gn (wlan2), Intel Centrino 6235 bgn (wlan3) and now with RTL 3072 bgn (wlan4).

Very aggravating, especially since since I don't know what CTRL-EVEN-SCAN-STARTED is and if I need on every minute instead of once a day. I might pick up an Atheros wifi adapter soon but I'll bet my favorite laptop sticker it'll have the same grief with 802.11n. And NO I'm not turning off 802.11n because I like seeing "Bit Rate:115.Mb/s" on my Conky display instead of "54 Mb/s".

Could a kernel developer or network-manager programmer not give some advise to these many posts littering the netosphere please?

Don't even get me started ranting about 802.11ac...

PROOF:
Aug 17 17:49:15 Rick-Satellite-L300 wpa_supplicant[1491]: wlan0: CTRL-EVENT-SCAN-STARTED
Aug 17 17:50:18 Rick-Satellite-L300 wpa_supplicant[1491]: wlan0: CTRL-EVENT-SCAN-STARTED
Aug 17 17:50:25 Rick-Satellite-L300 wpa_supplicant[1491]: wlan4: CTRL-EVENT-SCAN-STARTED
Aug 17 17:51:21 Rick-Satellite-L300 wpa_supplicant[1491]: wlan0: CTRL-EVENT-SCAN-STARTED
Aug 17 17:52:24 Rick-Satellite-L300 wpa_supplicant[1491]: wlan0: CTRL-EVENT-SCAN-STARTED
Aug 17 17:52:25 Rick-Satellite-L300 wpa_supplicant[1491]: wlan4: CTRL-EVENT-SCAN-STARTED
Aug 17 17:53:27 Rick-Satellite-L300 wpa_supplicant[1491]: wlan0: CTRL-EVENT-SCAN-STARTED
Aug 17 17:54:25 Rick-Satellite-L300 wpa_supplicant[1491]: wlan4: CTRL-EVENT-SCAN-STARTED
Aug 17 17:54:30 Rick-Satellite-L300 wpa_supplicant[1491]: wlan0: CTRL-EVENT-SCAN-STARTED

~$

WinEunuchs2Unix (ricklee518) wrote :

Oops this has been going on since 2009 and a developer did respond that it is simply for roaming in corporate environments with multiple access points to connect to. If you only have one AP at home go into network manager, select "Edit Connection", highlight your AP / wlan0 and click "Edit". Then click the down arrow next to BSSID which is blank. Then select the mac address that was hidden before.

My apologies for linking this to an 802.11n problem. Once bitten twice shy I guess....

Anders Hall (a.hall) wrote :

Thank you ricklee! Worked on my setup too. Still, this message should only be visible with verbose debugging. Muted as default for consumers.

Olivier Bilodeau (plaxx) wrote :

Comment #24 fixed my problem too! After I tried regulatory domain setting, disabling 802.11n and disabling power saving mode.

This is certainly not happening on other platforms. What can be done to get this fixed?

First I guess we need to file it to the proper place. Is it a NetworkManager issue (it should not trigger the scan for other BSSID) or a wpa_supplicant issue (scanning for BSSID shouldn't disconnect ongoing sessions)?

Chipset: Intel Centrino Advanced-N 6235

NoOp (glgxg) wrote :

This appears to be a duplicate of
wpa_supplicant spams syslog Edit

    Ubuntu
    “wpasupplicant” package
    Bug #578431

<https://bugs.launchpad.net/ubuntu/+source/wpasupplicant/+bug/578431>

Jon Fawbert (e-jon-q) wrote :

I disagree with the duplicate link to 578431.

That bug is just about wifi components spamming to Syslog.

This bug covers a situation where people's WiFi connections are being repeatedly dropped (to the point of unusability) due to issues in the wifi stack. The logging captures the drops.

Personally, the only way I've been able to get round this is to buy a Broadcom WiFi card to replace the Centrino 6205. The suggestion about fixing the SSID of the WiFi station in network-manager settings didn't resolve things for me.

NoOp (glgxg) wrote :

The symptoms, the source, and issue are *identical*. Further, the OP of this bug reports: "But it's spamming the syslog, making it very difficult to find any other thing there, and it's generating constant writes to disk, and an unnecessarily large syslog file." So what exactly do you find different to this bug than that of 57843?

Jon Fawbert (e-jon-q) wrote :

Specifically, the messages discussed are different:

May 25 19:57:18 ubuntu wpa_supplicant[1161]: wlan0: CTRL-EVENT-SCAN-STARTED
May 25 19:57:23 ubuntu wpa_supplicant[1161]: nl80211: send_and_recv->nl_recvmsgs failed: -33

vs from 57843:

May 10 20:06:37 Otherland wpa_supplicant[1741]: WPS-AP-AVAILABLE
May 10 20:07:37 Otherland wpa_supplicant[1741]: WPS-AP-AVAILABLE
May 10 20:08:37 Otherland wpa_supplicant[1741]: WPS-AP-AVAILABLE
May 10 20:09:48 Otherland avahi-daemon[1705]: Invalid query packet.
May 10 20:11:01 Otherland avahi-daemon[1705]: last message repeated 2 times
May 10 20:14:49 Otherland avahi-daemon[1705]: Invalid query packet.
May 10 20:15:37 Otherland avahi-daemon[1705]: last message repeated 2 times

and the fact that some posters are reporting that the first set of messages are accompanied by repeated loss of wifi connectivity, suggesting that they indicate a failure which is impactful to wifi state.

Both sets of messages are repeated causing the spamming issue which creates a smiliarity but not an identical match in my opinion.

I had no intention of causing offence however and apologise if any was taken.

Anders Hall (a.hall) wrote :

Well, bug 57843 does not describe symptoms besides spamming of the syslog. This bug does describe spamming of syslog and perhaps connectivity issues for some users. However, the the upstream bug https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=539915 you mention NoOp seems to be similar to this one. Perhaps this bug is more informative than 539915, with suggestions for solving the problem, that work in some cases, so just merge bug 539915 an 1323089 instead.

In my view it is unclear if bug 57843 is related.

NoOp (glgxg) wrote :

Both 57843 and this bug are filed for wpa_supplicant spamming the syslog. Please read the Bug Descriptions - neither bug report is filed for connectivity issues. For connectivity issues I recommend following <https://help.ubuntu.com/community/WirelessTroubleshootingProcedure> and filing a separate bug.

The suggestion from Ricklee in Comment #24 works for me (I access 5 AP's on a regular basis, & setting the BSSID for each resolved the issue).

  *-network
       description: Wireless interface
       product: Centrino Wireless-N 1000 [Condor Peak]
       vendor: Intel Corporation
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: wlan0
       version: 00
       serial: 00:1e:64:81:51:c6
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=iwlwifi driverversion=3.13.0-36-generic firmware=39.31.5.1 build 35138 ip=<snip> latency=0 link=yes multicast=yes wireless=IEEE 802.11bgn

I did not have connectivity issues - only wpa_supplicant syslog spam.

Anders Hall (a.hall) wrote :

Connectivity issues reported: https://bugs.launchpad.net/ubuntu/+source/wpa/+bug/1323089/comments/17

Read the full thread with information before making claims. An I wrote "and perhaps connectivity issues" as well (which is not unlikely). Nuff said.

Olivier Bilodeau (plaxx) wrote :

I have connectivity issues with this problem. The only reason I noticed the connectivity issue is because my work VPN disconnects. Otherwise I wouldn't have noticed. So I guess that this is a loss of only a few packets which TCP will definitely recover for most applications.

Pinning the BSSID (not just the SSID) through NetworkManager GUI did fix it for me. I run a 2.4ghz and a 5ghz network with the same SSID. I'm pretty sure this is what triggers the issue. Since other OSes are fine with it (including android) this is a bug in either wpa_supplicant or NetworkManager.

Since I'm unsure whether people just don't notice the connectivity issue (because TCP recovers so well and UDP is all about being unreliable) I'm with Anders on this one and reluctant to file a new issue.

I don't have the time and energy to dig into the source and all but I'm willing to run diagnostics, describe more my setup and try fixes if people are interested in nailing this one.

NoOp (glgxg) wrote :

"Both 57843 and this bug are filed for wpa_supplicant spamming the syslog. Please read the Bug Descriptions - neither bug report is filed for connectivity issues." Key words: "Bug Description" & filed."

<quote>
wpa_supplicant writes to syslog every 2 minutes

Bug Description

Ubuntu 14.04 LTS
wpasupplicant 2.1-0ubuntu1

wpa_supplicant is writing to syslog every couple of minutes. Example output:
<snip>

The message seems harmless as far as the network is concerned, meaning there is no problem with the wifi connection. But it's spamming the syslog, making it very difficult to find any other thing there, and it's generating constant writes to disk, and an unnecessarily large syslog file.
</quote>

I made no 'claims', I simply recommended that you file a separate bug report for connectivity issues:
 "For connectivity issues I recommend following <https://help.ubuntu.com/community/WirelessTroubleshootingProcedure> and filing a separate bug report. My suggestion is to file another bug report regarding loss of connectivity using:
<https://wiki.ubuntu.com/Kernel/LinuxWireless?action=show&redirect=KernelTeam%2FLinuxWireless>
<https://help.ubuntu.com/community/WirelessTroubleshootingProcedure>
to provide details for the developer(s). if you firmly believe that "wpa_supplicant writes to syslog every 2 minutes" is the cause of your loss of connectivity, then I'd also suggest that you add detailed information that will assist the developer(s) in resolving the issue. Nuff said.

Anders Hall (a.hall) wrote :

@Olivier doesn't android use wpa_supplicant too? Personally I have connectivity issues on my older android devices at home. This is the same environment where I know I get these spam-messages in the syslog. Secondly, I also have a dual wireless setup which comes with many modern routers, as you describe. I can do some testing on android to see if it is related to the solution in this thread. Would clear some things up.

Dan (danlocks) wrote :

@Olivier & @Anders:
I have a dual-band wireless router with where the 5ghz and 2.5ghz radios have both different SSID and diferent BSSID.

So the constant scans are not triggered by multiple APs with the same SSID in every case.

Pinning the BSSID stopped the scans, so many thanks to ricklee518.

I remember seeing that scans are initiated by NetworkManager, and the 2min interval is hardcoded with no option for adjustment. I do not know or remember the conditions which trigger the scans, but I didn't go looking again. If it is in fact looking for alternate BSSIDs, and none are found, I suggest a logarithmic scan interval backoff.

Christian Kujau (christiank) wrote :

Same here, every 2 minutes with wpa_supplicant v2.3:

$ sudo grep wpa_supplicant /var/log/messages | grep -v WPA | tail -3
Nov 14 11:24:32 acorn wpa_supplicant[942]: nl80211: send_and_recv->nl_recvmsgs failed: -33
Nov 14 11:26:32 acorn wpa_supplicant[942]: nl80211: send_and_recv->nl_recvmsgs failed: -33
Nov 14 11:28:32 acorn wpa_supplicant[942]: nl80211: send_and_recv->nl_recvmsgs failed: -33

No connectivity issues though, rekeying happens just fine every 10min:

$ sudo grep wpa_supplicant /var/log/messages | grep WPA | tail -3
Nov 14 11:07:28 acorn wpa_supplicant[942]: wlan0: WPA: Group rekeying completed with xxxx [GTK=CCMP]
Nov 14 11:17:28 acorn wpa_supplicant[942]: wlan0: WPA: Group rekeying completed with xxxx [GTK=CCMP]
Nov 14 11:27:28 acorn wpa_supplicant[942]: wlan0: WPA: Group rekeying completed with xxxx [GTK=CCMP]

Wifi chip:
04:00.0 Network controller: Intel Corporation Centrino Wireless-N 2230 (rev c4)

Apparently wpa_supplicant is run with a verbosity level above your liking:

ps aux | grep wpa
root 1389 0.0 0.0 30704 5400 ? Ss 20:51 0:00 /sbin/wpa_supplicant -B -P /run/sendsigs.omit.d/wpasupplicant.pid -u -s -O /var/run/wpa_supplicant

You can adjust this:

cat /usr/share/dbus-1/system-services/fi.w1.wpa_supplicant1.service
[D-BUS Service]
Name=fi.w1.wpa_supplicant1
Exec=/sbin/wpa_supplicant -B -P /run/sendsigs.omit.d/wpasupplicant.pid -u -s -qq -O /var/run/wpa_supplicant
User=root
SystemdService=wpa_supplicant.service

The wpa_supplicant utility accepts a -q or -qq flag, which will make it less verbose. See man wpa_supplicant.

Neal McBurnett (nealmcb) wrote :

Thank you Anne for describing what looks like one way to fix this for all connections, rather than the easy fix in #24 which only addresses one SSID.

But I worry that making wpa_supplicant more quiet will hide messages that are important - what else would be suppressed?

So I suspect that the bug should be fixed somewhere else, since it seems clear to me that default installs with popular wifi cards should not spam syslog, and this does seem to be related to only some forms of Intel wifi cards - mostly Centrino I guess.

So what is printing this out, which developer explained the workaround (sometime after 2009?), and how do we clean up our syslogs?

Download full text (3.6 KiB)

I'm not Anne and I don't fully remember this "bug". I believe it was about
Linux looking for new WiFi routers to connect to every 2 minutes and
issuing a message when one was not found. This given there should be an
option within Ubuntu Network Manager (or whomever) to not message every 2
minutes when a new WiFi connection is not found.

On Sat, Apr 18, 2015 at 10:21 AM, Neal McBurnett <email address hidden>
wrote:

> Thank you Anne for describing what looks like one way to fix this for
> all connections, rather than the easy fix in #24 which only addresses
> one SSID.
>
> But I worry that making wpa_supplicant more quiet will hide messages
> that are important - what else would be suppressed?
>
> So I suspect that the bug should be fixed somewhere else, since it seems
> clear to me that default installs with popular wifi cards should not
> spam syslog, and this does seem to be related to only some forms of
> Intel wifi cards - mostly Centrino I guess.
>
> So what is printing this out, which developer explained the workaround
> (sometime after 2009?), and how do we clean up our syslogs?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1323089
>
> Title:
> wpa_supplicant writes to syslog every 2 minutes
>
> Status in wpa package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 14.04 LTS
> wpasupplicant 2.1-0ubuntu1
>
> wpa_supplicant is writing to syslog every couple of minutes. Example
> output:
>
> May 25 19:57:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 19:57:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 19:59:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 19:59:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:00:58 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:01:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:01:24 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:03:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:03:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:05:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:05:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:05:58 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:07:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:07:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:09:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:09:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:10:58 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:13:18 ubuntu wpa_supplicant[1161]: message repeated 2 times: [
> wlan0: CTRL-EVENT-SCAN-STARTED ]
> May 25 20:13:23 ubuntu wpa_supplicant[1161]: nl80211:
>...

Read more...

WinEunuchs2Unix (ricklee518) wrote :
Download full text (4.1 KiB)

Indeed under this "free roaming" philosophy even if another WiFi node is
found it should not be connected to unless the signal strength is hire.
Then and only then when connected a message should be sent.

Sending a message on success is infinitely preferable to a message of
failure to a connection you probably weren't looking for in the first place.

On Mon, Apr 20, 2015 at 8:56 PM, Rick Lee <email address hidden> wrote:

> I'm not Anne and I don't fully remember this "bug". I believe it was about
> Linux looking for new WiFi routers to connect to every 2 minutes and
> issuing a message when one was not found. This given there should be an
> option within Ubuntu Network Manager (or whomever) to not message every 2
> minutes when a new WiFi connection is not found.
>
> On Sat, Apr 18, 2015 at 10:21 AM, Neal McBurnett <email address hidden>
> wrote:
>
>> Thank you Anne for describing what looks like one way to fix this for
>> all connections, rather than the easy fix in #24 which only addresses
>> one SSID.
>>
>> But I worry that making wpa_supplicant more quiet will hide messages
>> that are important - what else would be suppressed?
>>
>> So I suspect that the bug should be fixed somewhere else, since it seems
>> clear to me that default installs with popular wifi cards should not
>> spam syslog, and this does seem to be related to only some forms of
>> Intel wifi cards - mostly Centrino I guess.
>>
>> So what is printing this out, which developer explained the workaround
>> (sometime after 2009?), and how do we clean up our syslogs?
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1323089
>>
>> Title:
>> wpa_supplicant writes to syslog every 2 minutes
>>
>> Status in wpa package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> Ubuntu 14.04 LTS
>> wpasupplicant 2.1-0ubuntu1
>>
>> wpa_supplicant is writing to syslog every couple of minutes. Example
>> output:
>>
>> May 25 19:57:18 ubuntu wpa_supplicant[1161]: wlan0:
>> CTRL-EVENT-SCAN-STARTED
>> May 25 19:57:23 ubuntu wpa_supplicant[1161]: nl80211:
>> send_and_recv->nl_recvmsgs failed: -33
>> May 25 19:59:18 ubuntu wpa_supplicant[1161]: wlan0:
>> CTRL-EVENT-SCAN-STARTED
>> May 25 19:59:23 ubuntu wpa_supplicant[1161]: nl80211:
>> send_and_recv->nl_recvmsgs failed: -33
>> May 25 20:00:58 ubuntu wpa_supplicant[1161]: wlan0:
>> CTRL-EVENT-SCAN-STARTED
>> May 25 20:01:18 ubuntu wpa_supplicant[1161]: wlan0:
>> CTRL-EVENT-SCAN-STARTED
>> May 25 20:01:24 ubuntu wpa_supplicant[1161]: nl80211:
>> send_and_recv->nl_recvmsgs failed: -33
>> May 25 20:03:18 ubuntu wpa_supplicant[1161]: wlan0:
>> CTRL-EVENT-SCAN-STARTED
>> May 25 20:03:23 ubuntu wpa_supplicant[1161]: nl80211:
>> send_and_recv->nl_recvmsgs failed: -33
>> May 25 20:05:18 ubuntu wpa_supplicant[1161]: wlan0:
>> CTRL-EVENT-SCAN-STARTED
>> May 25 20:05:23 ubuntu wpa_supplicant[1161]: nl80211:
>> send_and_recv->nl_recvmsgs failed: -33
>> May 25 20:05:58 ubuntu wpa_supplicant[1161]: wlan0:
>> CTRL-EVENT-SCAN-STARTED
>> May 25 20:07:18 ubuntu wpa_supplicant[1161]: wlan0:
>> CTRL-EVENT-SCAN-STARTED
>> May 25 20:07:23 ubuntu wpa...

Read more...

grygory (connaissant) wrote :

uname -a
Linux Home 3.16.0-30-generic #40~14.04.1-Ubuntu SMP Thu Jan 15 17:43:14 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Jun 20 19:59:01 Home wpa_supplicant[1111]: wlan0: CTRL-EVENT-SCAN-STARTED
Jun 20 19:59:03 Home wpa_supplicant[1111]: nl80211: send_and_recv->nl_recvmsgs failed: -33
Jun 20 20:01:01 Home wpa_supplicant[1111]: wlan0: CTRL-EVENT-SCAN-STARTED
Jun 20 20:01:03 Home wpa_supplicant[1111]: nl80211: send_and_recv->nl_recvmsgs failed: -33
Jun 20 20:03:01 Home wpa_supplicant[1111]: wlan0: CTRL-EVENT-SCAN-STARTED
Jun 20 20:03:03 Home wpa_supplicant[1111]: nl80211: send_and_recv->nl_recvmsgs failed: -33
Jun 20 20:05:01 Home wpa_supplicant[1111]: wlan0: CTRL-EVENT-SCAN-STARTED
Jun 20 20:05:03 Home wpa_supplicant[1111]: nl80211: send_and_recv->nl_recvmsgs failed: -33
Jun 20 20:06:56 Home wpa_supplicant[1111]: wlan0: WPA: Group rekeying completed with 10:fe:ed:7a:f3:ac [GTK=CCMP]
Jun 20 20:07:01 Home wpa_supplicant[1111]: wlan0: CTRL-EVENT-SCAN-STARTED
Jun 20 20:07:03 Home wpa_supplicant[1111]: nl80211: send_and_recv->nl_recvmsgs failed: -33

hajimuz (hajimuz) wrote :

also affected here.

Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

hajimuz (hajimuz) wrote :

#24 works. This is not a bug I guess...

rustyhamsterr (rustyhamsterr) wrote :

I'm also affected, as my house has multiple AP's #24 is not working for me.
My wifi card :
System information:
Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)
Linux rustysTP 3.16.0-38-generic #52~14.04.1-Ubuntu SMP Fri May 8 09:43:57 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

WinEunuchs2Unix (ricklee518) wrote :

It's really a design flaw. Instead of saying every two minutes "Hey I
couldn't find a new AP". It should only say "I found AP number 999999 and
connected to it" if and when it does.

On Wed, Apr 13, 2016 at 3:47 PM, rustyhamsterr <email address hidden>
wrote:

> I'm also affected, as my house has multiple AP's #24 is not working for me.
> My wifi card :
> System information:
> Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor
> Peak] (rev 34)
> Linux rustysTP 3.16.0-38-generic #52~14.04.1-Ubuntu SMP Fri May 8 09:43:57
> UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1323089
>
> Title:
> wpa_supplicant writes to syslog every 2 minutes
>
> Status in wpa package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 14.04 LTS
> wpasupplicant 2.1-0ubuntu1
>
> wpa_supplicant is writing to syslog every couple of minutes. Example
> output:
>
> May 25 19:57:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 19:57:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 19:59:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 19:59:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:00:58 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:01:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:01:24 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:03:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:03:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:05:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:05:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:05:58 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:07:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:07:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:09:18 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:09:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
> May 25 20:10:58 ubuntu wpa_supplicant[1161]: wlan0:
> CTRL-EVENT-SCAN-STARTED
> May 25 20:13:18 ubuntu wpa_supplicant[1161]: message repeated 2 times: [
> wlan0: CTRL-EVENT-SCAN-STARTED ]
> May 25 20:13:23 ubuntu wpa_supplicant[1161]: nl80211:
> send_and_recv->nl_recvmsgs failed: -33
>
> The message seems harmless as far as the network is concerned, meaning
> there is no problem with the wifi connection. But it's spamming the
> syslog, making it very difficult to find any other thing there, and
> it's generating constant writes to disk, and an unnecessarily large
> syslog file.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/wpa/+bug/1323089/+subscriptions
>

Changed in wpa (Ubuntu):
status: Confirmed → Invalid
Christian Kujau (christiank) wrote :

Launchpad really needs something similar to RESOLVED/DUPLICATE, as I had to crawl through the whole report to find out that this is considered a duplicate of 578431.

NoOp (glgxg) wrote :

On 10/30/17 11:23 AM, Christian Kujau wrote:
> Launchpad really needs something similar to RESOLVED/DUPLICATE, as I had
> to crawl through the whole report to find out that this is considered a
> duplicate of 578431.
>

Righthand column: "Mark as duplicate"
You can click and report this bug as a duplicate of 578431.

NoOp (glgxg) wrote :

However, please read comments #27 - #32 first before you do.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.